using System;

using BeWo.Report;
using BeWo.Report.ReportObjects;
using BS.Shared.Core;
using DevExpress.XtraReports.UI;

namespace SozialeDienstleistungenGessnerReports
{
	[IDSpecificClass(Identifiers = new string[] { "PB-BesonderePsyHilfenArbeitBeschaeftigung", "PB-IndHilfen" })]
    public partial class RechnungPersoenlichesBudget : XtraReport, IBeWoReport<ServiceInvoiceRO>
    {
		public RechnungPersoenlichesBudget()
        {
            InitializeComponent();
        }

        public void SetReportDataSource(ServiceInvoiceRO pRO)
        {
	        String leistungen = "Fachleistungen";
	        if (!String.IsNullOrEmpty(pRO.InvoiceId) && pRO.InvoiceId == "PB-IndHilfen")
	        {
		        leistungen = "Leistungen";
	        }
			DateTime start = pRO.AccountingPeriodStart;
			DateTime end = pRO.AccountingPeriodEnd;


			var zeitraum = String.Format("Betreuungszeitraum {0:dd.MM.yyyy} bis {1:dd.MM.yyyy}", start, end);

			lblAbrechnungszeitraum.Text = string.Format("anbei sende ich Ihnen die unterschriebenen Nachweise über die im Rahmen des Betreuten Wohnens für {0} {1} {2} erbrachten {4} zu. Nach unserer Berechnung ergeben sich für den {3} hieraus:",
				pRO.CustomerSalutation, pRO.CustomerFirstName, pRO.CustomerLastName, zeitraum, leistungen);

            bindingSource1.DataSource = pRO;
        }
    }
}